load File.dirname(__FILE__) + "/../test_helper.rb"
describe "Select Flights" do
  include TestHelper

  before(:all) do
    @driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.manage().window().resize_to(1280, 800)
    driver.get(site_url)
    sign_in("agileway", "testwise")
  end

  before(:each) do
    driver.get("https://travel.agileway.net/flights/start")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  it "User can select one way trip" do
    driver.find_element(:xpath, "//input[@value='oneway']").click
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "fromPort")).select_by(:text, "Sydney")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "toPort")).select_by(:text, "New York")
    driver.find_element(:xpath, "//input[@value='Continue']").click
    expect(page_text).to include("Sydney to New York")
  end

  it "User can select return  trip" do
    driver.find_element(:xpath, "//input[@value='return']").click
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "fromPort")).select_by(:text, "Sydney")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "toPort")).select_by(:text, "New York")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:id, "departDay")).select_by(:text, "02")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:id, "departMonth")).select_by(:text, "March 2021")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:id, "returnDay")).select_by(:text, "03")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:id, "returnMonth")).select_by(:text, "April 2021")
    driver.find_element(:xpath, "//input[@value='Continue']").click
    expect(page_text).to include("Sydney to New York")
    expect(page_text).to include("New York to Sydney")
  end
end
