load File.dirname(__FILE__) + "/../test_helper.rb"

describe "User Authentication" do
  include TestHelper

  before(:all) do
    # browser_type, site_url defined in test_helper.rb
    @driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.manage().window().resize_to(1280, 800)
    driver.get("https://travel.agileway.net")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  it "User can sign in OK" do
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:name, "password").send_keys("testwise")
    driver.find_element(:name, "commit").click
    expect(page_text).to include("Signed in!")
    driver.find_element(:link_text, "Sign off").click
  end

  it "User can sign in failed" do
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:name, "password").send_keys("badpass")
    driver.find_element(:name, "commit").click
    expect(page_text).to include("Invalid email or password")
  end
end
