load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Passenger" do
  include TestHelper

  before(:all) do
    @driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.manage().window().resize_to(1280, 800)
    driver.get("https://travel.agileway.net")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  it "User can enter passenger details" do
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:name, "password").send_keys("testwise")
    driver.find_element(:name, "commit").click
    expect(page_text).to include("Signed in!")
    driver.find_element(:xpath, "//input[@value='oneway']").click
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "fromPort")).select_by(:text, "Sydney")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "toPort")).select_by(:text, "New York")
    driver.find_element(:xpath, "//input[@value='Continue']").click
    expect(page_text).to include("Sydney to New York")
    driver.find_element(:name, "passengerFirstName").send_keys("Bob")
    driver.find_element(:name, "passengerLastName").send_keys("Tester")
    driver.find_element(:xpath, "//input[@value='Next']").click
    expect(driver.find_element(:name, "holder_name")["value"]).to eq("Bob Tester")
  end
end
