load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Payment" do
  include TestHelper

  before(:all) do
    @driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.manage().window().resize_to(1280, 800)
    driver.get("https://travel.agileway.net")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  it "User can pay with credit card" do
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:name, "password").send_keys("testwise")
    driver.find_element(:name, "commit").click
    expect(page_text).to include("Signed in!")
    driver.find_element(:xpath, "//input[@value='oneway']").click
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "fromPort")).select_by(:text, "Sydney")
    Selenium::WebDriver::Support::Select.new(driver.find_element(:name, "toPort")).select_by(:text, "New York")
    driver.find_element(:xpath, "//input[@value='Continue']").click
    expect(page_text).to include("Sydney to New York")
    driver.find_element(:name, "passengerFirstName").send_keys("Bob")
    driver.find_element(:name, "passengerLastName").send_keys("Tester")
    driver.find_element(:xpath, "//input[@value='Next']").click

    driver.find_element(:xpath, "//input[@value='visa']").click
    driver.find_element(:name, "card_number").send_keys("4242424242424242")
    driver.find_element(:xpath, "//input[@value='Pay now']").click
    expect(page_text).to include?("Booking number")  
  end
end

#     # try_for(10) { expect(page_text).to include("Booking number") }